#
# spec file for package python3-cov-core
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-cov-core
Version:        1.15.0
Release:        5.2
Summary:        Plugin core for use by pytest-cov, nose-cov and nose2-cov
License:        MIT
Group:          Development/Languages/Python
Url:            http://bitbucket.org/memedough/cov-core/overview
Source:         https://pypi.python.org/packages/source/c/cov-core/cov-core-%{version}.tar.gz
BuildRequires:  python3-coverage
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
Requires:       python3-coverage
BuildArch:      noarch

%description
This is a lib package for use by pytest-cov, nose-cov and nose2-cov.  Unless your developing a
coverage plugin for a test framework then you probably want one of those.

%prep
%setup -q -n cov-core-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE.txt README.rst
%{python3_sitelib}/*

%changelog
* Fri Jan  9 2015 dimstar@opensuse.org
- Update to version 1.15.0:
  + No changelog/release notes provided.
* Wed Jul 30 2014 toddrme2178@gmail.com
- Update to 1.13.0
  * No upstream changelog
* Thu Feb  6 2014 speilicke@suse.com
- Initial version
